%define anolis_release 1

Summary:        Audio/Video Control library for IEEE-1394 devices
Name:           libavc1394
Version:        0.5.4
Release:        %{anolis_release}%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            http://sourceforge.net/projects/libavc1394/
Source:         https://sourceforge.net/projects/libavc1394/files/libavc1394/libavc1394-%{version}.tar.gz
Patch1:         libavc1394-%{version}-librom.patch
BuildRequires:  libraw1394-devel
BuildRequires:  chrpath, gcc
BuildRequires:  make

%description
The libavc1394 library allows utilities to control IEEE-1394 devices
using the AV/C specification.  Audio/Video Control allows applications
to control devices like the tape on a VCR or camcorder.

%package devel
Summary: Development libs for libavc1394

Requires: %{name} = %{version}-%{release}
Requires: libraw1394-devel

%description devel
Development libraries required to build applications using libavc1394.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1
chmod -x test/dvcont.c

%build
%configure
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}

chrpath -d $RPM_BUILD_ROOT%{_libdir}/lib*
chrpath -d $RPM_BUILD_ROOT%{_bindir}/*

%generate_compatibility_deps

%files
%license COPYING
# binaries are GPLv2+
%{_bindir}/dvcont
%{_bindir}/mkrfc2734
%{_bindir}/panelctl
%{_mandir}/man1/dvcont.1*
%{_mandir}/man1/panelctl.1*
%{_mandir}/man1/mkrfc2734.1*
# libs are LGPLv2+
%{_libdir}/libavc1394.so.*
%{_libdir}/librom1394.so.*
%dir %{abidir}
%{abidir}/*.dump
%{abidir}/*-option.list

%files devel
%{_includedir}/libavc1394/
%{_libdir}/pkgconfig/libavc1394.pc
%{_libdir}/libavc1394.so
%{_libdir}/librom1394.so

%files doc
%doc AUTHORS NEWS README ChangeLog TODO

%changelog
* Tue Mar 28 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.5.4-1
- init from upstream
